<div style="margin-top: 20px;">
    <div class="container">

        <!-- PENCARIAN -->
        <div style="margin-top: 20px;">
            <h5>
                <span jhiTranslate="mpmApp.vehicleSalesOrder.home.title">Vehicle Sales Orders</span>
            </h5>
            <ul class="nav justify-content-end" *jhiHasAnyAuthority="['ROLE_ADMIN']">
                <li class="nav-item">
                    <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list" ></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                </li>
            </ul>
            <p-accordion class="filter-accordion">
                <p-accordionTab header="Filter" [selected]="false">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.leasing" for="field_dateCreate">Leasing</label>
                                <select class="form-control" [(ngModel)]="selectedLeasing">
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="leasingCom.idPartyRole" *ngFor="let leasingCom of leasings; trackBy: trackleasingComById">{{leasingCom.partyName}}</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.korsales" for="field_dateCreate">Korsal</label>
                                <select class="form-control" [(ngModel)]="selectedKorsal" (change)="selectSalesByKorsal()">
                                    <option [value]="null">Select Korsal</option>
                                    <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.partyName}}</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.sales" for="field_dateCreate">Sales</label>
                                <select class="form-control" [(ngModel)]="selectedSalesman">
                                    <option [value]="null">Select Salesman</option>
                                    <option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
                            </div>
                        </div>
                        <div class="col-md-6">

                            <div class="form-group">
                                <label class="form-control-label" for="field_dateCreate" jhiTranslate="mpmApp.vehicleSalesOrder.tglVso">Tanggal VSO</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="input-group input-calendar">
                                            <p-calendar inputId="field_dateCreate" name="input_dateCreate1" 
                                                dateFormat="dd-M-yy" 
                                                [showIcon]="true"
                                                [(ngModel)]="tgl1"
                                                ></p-calendar>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="input-group input-calendar">
                                            <p-calendar inputId="field_dateCreate2" name="input_dateCreate2" 
                                                dateFormat="dd-M-yy" 
                                                [showIcon]="true"
                                                [(ngModel)]="tgl2"
                                                ></p-calendar>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="form-control-label" for="field_dateCreate">{{'mpmApp.vehicleSalesOrder.statusUnit'|translate}}</label>
                                <input type="text" class="form-control" placeholder="Status Unit">
                            </div>

                            <div class="form-group">
                                <label class="form-control-label" for="field_status_vso">{{'mpmApp.vehicleSalesOrder.statusVSO'|translate}}</label>
                                <select class="form-control" id="field_status_vso" name="status" [(ngModel)]="selectedStatusVso">
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="statusVso.value" *ngFor="let statusVso of statusVsoes; trackBy: trackStatusVsoById">{{statusVso.label}}</option>
                                </select>

                            </div>

                        </div>
                    </div>
                    <div class="btn-filter-wrapper">
                        <button type="button" class="btn btn-primary btn-filter" (click)="search()">
                            <span>FILTER</span>
                        </button>
                    </div>
                </p-accordionTab>
            </p-accordion>
            <div class="input-group w-100 mt-3">
                <input type="text" class="form-control" [(ngModel)]="currentSearching" id="currentSearching"
                    name="currentSearching" placeholder="Find VSO">
                <button class="input-group-addon btn btn-info flat-style-button" (click)="searching(currentSearching)" *ngIf="currentSearching">
                    <span class="fa fa-search"></span>
                </button>
                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearching">
                    <span class="fa fa-trash-o"></span>
                </button>                        
            </div>
            
            <p-dataTable
                [value]="vehicleSalesOrders"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idOrder"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)"
                class="width-filter">
                <p-header>
                    <jhi-alert></jhi-alert>
                </p-header>                
                <p-column header="{{'mpmApp.vehicleSalesOrder.noVSO'|translate}}" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.orderNumber != null  then templateOrderNumber; else templateRequirementNumber">
                            </div>
                            <ng-template #templateOrderNumber>
                                {{rowData.orderNumber}}
                            </ng-template>
                            <ng-template #templateRequirementNumber>
                                {{rowData.salesUnitRequirement.requirementNumber}}
                            </ng-template>
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.tglVso'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.dateOrder">
                            {{rowData.dateOrder|date:'dd-MMM-yyyy'}}
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.customer'|translate}} " >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.customer.partyName}}
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.statusUnit'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.salesUnitRequirement.unitHotItem===true; then templateHotItem; else templateNormal">
                        </div>
                        <ng-template #templateHotItem>
                            Hot Item
                        </ng-template>
                        <ng-template #templateNormal>
                            Biasa
                        </ng-template>
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.leasing'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.leasingName}}
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.sales'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.salesUnitRequirement.salesmanName}}
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.korsales'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            {{rowData.korsalName}}
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.statusAdSls'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <container-element [ngSwitch] = "rowData.adminSalesVerifyValue">
                                <div *ngSwitchCase = 1> Approve </div>
                                <div *ngSwitchCase = 2> Not Approve </div>
                                <div *ngSwitchCase = 0> - </div>
                            </container-element>
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.StatusAfc'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <container-element [ngSwitch] = "rowData.afcVerifyValue">
                                <div *ngSwitchCase = 1> Approve </div>
                                <div *ngSwitchCase = 2> Not Approve </div>
                                <div *ngSwitchCase = 0> - </div>
                            </container-element>
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.statusKacab'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <container-element [ngSwitch] = "rowData.currentStatus">
                            <div *ngSwitchCase = 61> Approve </div>
                            <div *ngSwitchCase = 74> Approve </div>
                            <div *ngSwitchDefault> - </div>
                        </container-element>
                    </ng-template>
                </p-column>

                <p-column header="{{'mpmApp.vehicleSalesOrder.status'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            {{getDescription(rowData.currentStatus)}}
                        </div>
                    </ng-template>
                </p-column>

                 <p-column [style]="{'text-align': 'center'}" header="{{'mpmApp.vehicleSalesOrder.requestnokanosin'|translate}}"  >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.salesUnitRequirement.requestIdMachineAndFrame !== null || rowData.salesUnitRequirement.requestIdMachineAndFrame !== null  "> 
                             <i class="fa fa-check"></i>
                        </div>
                        <div *ngIf="rowData.salesUnitRequirement.requestIdMachineAndFrame == null || rowData.salesUnitRequirement.requestIdMachineAndFrame == null  "> 
                            <i class="fa fa-close"></i>
                       </div>
                    </ng-template>
                </p-column>
                
                <p-column header="{{'mpmApp.vehicleSalesOrder.labelAction'|translate}}"  [style]="{'width': '70px', 'text-align': 'center'}" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.currentStatus != 13 || rowData.currentStatus != 17 || rowData.currentStatus != 88">
                            <div *ngIf="isMatchingMenu; else notMatchingMenu">
                                <button pButton type="submit"
                                    [routerLink]="['../../vehicle-sales-order/'+ rowData.idOrder + '/matching/' + isMatchingMenu]"
                                    icon="fa-pencil"
                                    class="flat-button">
                                </button>

                                <button pButton type="button"
                                    icon="fa-remove"
                                    class="flat-button"
                                    (click)="batalVso(rowData)"
                                    [disabled]="rowData.currentStatus == 17  || rowData.currentStatus == 88"
                                    *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_ADMSALES', 'ROLE_AFC']">
                                </button>
                            </div>
                            <ng-template #notMatchingMenu>
                                <button pButton type="submit"
                                    [routerLink]="['../vehicle-sales-order/'+ rowData.idOrder + '/edit']"
                                    icon="fa-pencil"
                                    class="flat-button"
                                    *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_ADMSALES', 'ROLE_AFC']">
                                </button>

                                <button pButton type="button"
                                    icon="fa-remove"
                                    class="flat-button"
                                    (click)="batalVso(rowData)"
                                    [disabled]="rowData.currentStatus == 17  || rowData.currentStatus == 88"
                                    *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_ADMSALES', 'ROLE_AFC']">
                                </button>
                            </ng-template>
                        </div>
                    </ng-template>
                </p-column>

                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>

            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>
